#include <bits/stdc++.h>
#include <ext/pb_ds/assoc_container.hpp>
#include <ext/pb_ds/tree_policy.hpp>


using namespace __gnu_pbds;
using namespace std;

using ordered_set = tree<int, null_type, less<int>, rb_tree_tag, tree_order_statistics_node_update>;

bool p(int a) {
    if (a == 1) {
        return false;
    }
    for (int i = 2; i * i <= a; ++i) {
        if (a % i == 0) {
            return false;
        }
    }
    return true;
}

int main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
    int n;
    cin >> n;
    vector<pair<int, int>> a(n);
    for (int i = 0; i < n; ++i) {
        cin >> a[i].first;
        a[i].second = i;
    }
    vector<bool> primes(1e6);
    for (int i = 2; i < 1e6; ++i) {
        if (p(i)) {
            primes[i - 1] = true;
        }
    }
    sort(a.begin(), a.end());
    vector<int> ans1;
    vector<int> ans2;
    vector<int> ans(n);
    ans1.push_back(a[0].first);
    for (int i = 0; i < n; ++i) {
        bool t = true;
        for (auto v: ans1) {
            if (max(v, a[i].first) % min(v, a[i].first) == 0 && primes[(max(v, a[i].first) / min(v, a[i].first)) - 1]) {
                ans2.push_back(a[i].first);
                ans[a[i].second] = 2;
                t = false;
                break;
            }
        }
        if (t) {
            ans1.push_back(a[i].first);
            ans[a[i].second] = 1;
        }
    }
    for (int i = 0; i < n; ++i) {
        cout << ans[i] << " ";
    }
    return 0;
}