#include <bits/stdc++.h>
#include <ext/pb_ds/tree_policy.hpp>
#include <ext/pb_ds/assoc_container.hpp>

using namespace std;
using namespace __gnu_pbds;
using ordered_set = tree<int, null_type, less<int>, rb_tree_tag, tree_order_statistics_node_update>;
using ll = long long;

int main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
    int h, w;
    cin >> h >> w;
    int sum = 0;
    vector<pair<int, int>> hs(h);
    vector<pair<int, int>> ws(w);
    vector<vector<int>> a(h, vector<int>(w));
    for (int i = 0; i < h; ++i) {
        for (int j = 0; j < w; ++j) {
            cin >> a[i][j];
            hs[i].first += a[i][j];
            ws[j].first += a[i][j];
            hs[i].second = i + 1;
            ws[i].second = i + 1;
            sum += a[i][j];
        }
    }
    sort(hs.begin(), hs.end());
    sort(ws.begin(), ws.end());
    int s;
    cin >> s;
    vector<pair<int, int>> ans;
    for (int i = hs.size() - 1, j = ws.size() - 1; i > -1 && j > -1;) {
        if (hs[i].first <= sum - s && ws[i].first <= sum - s) {
            if (hs[i].first >= ws[j].first) {
                sum -= hs[i].first;
                ans.emplace_back(1, hs[i].second);
                for (int k = 0; k < ws.size(); ++k) {
                    ws[k].first -= a[i][k];
                }
                --i;
            }else{
                sum -= ws[j].first;
                ans.emplace_back(2, ws[j].second);
                for (int k = 0; k < hs.size(); ++k) {
                    hs[k].first -= a[k][j];
                }
                --j;
            }
        }else{
            if (hs[i].first <= sum - s){
                sum -= hs[i].first;
                ans.emplace_back(1, hs[i].second);
                for (int k = 0; k < ws.size(); ++k) {
                    ws[k].first -= a[i][k];
                }
                --i;
            }else{
                if (ws[j].first <= sum - s){
                    sum -= ws[j].first;
                    ans.emplace_back(2, ws[j].second);
                    for (int k = 0; k < hs.size(); ++k) {
                        hs[k].first -= a[k][j];
                    }
                    --j;
                }else{
                    if (sum - s != 0){
                        --i;
                        --j;
                    }else{
                        break;
                    }
                }
            }
        }
    }
    if (sum - s !=0 ){
        cout << "NO";
        return 0;
    }
    cout << "YES\n";
    cout << ans.size() << '\n';
    for (int i = 0; i < ans.size(); ++i) {
        cout << ans[i].first << " " << ans[i].second << '\n';
    }
    return 0;
}