#include <bits/stdc++.h>
#include <ext/pb_ds/tree_policy.hpp>
#include <ext/pb_ds/assoc_container.hpp>

using namespace std;
using namespace __gnu_pbds;
using ordered_set = tree<int, null_type, less<int>, rb_tree_tag, tree_order_statistics_node_update>;
using ll = long long;

vector<int> h;
vector<bool> visited;
vector<vector<int>> g;

void dfs(int u){
    visited[u] = true;
    for (auto v : g[u]){
        if (!visited[v]){
            h[v] = h[u] + 1;
            dfs(v);
        }
    }
}

int main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
    int n, k, t;
    cin >> n >> k >> t;
    h.resize(n + 1);
    visited.resize(n + 1);
    h[0] = 0;
    g.resize(n + 1);
    for (int i = 0; i < n - 1; ++i) {
        int u, v;
        cin >> u >> v;
        g[u].push_back(v);
        g[v].push_back(u);
    }
    if (t == 0){
        dfs(1);
        int mx = -1;
        for (int i = 0; i < h.size(); ++i) {
            mx = max(mx, h[i]);
        }
        if (k % 2 == 1){
            mx >>= k/2;
        }else{
            mx>>=(k-1)/2;
        }
        if (mx == 0){
            mx++;
        }
        cout << mx;
    }else{
        cout << 0;
    }
    return 0;
}